#ifndef XMLRPCPPSERVER_HPP
#define XMLRPCPPSERVER_HPP

#include "include/XmlRpc.h"

namespace mole {
    namespace ctx {
	namespace xmlrpcpp{
	    class XmlRpcppServer {

		public :
		    XmlRpcppServer(int);

		    ~XmlRpcppServer();

		    XmlRpc::XmlRpcServer* getRealServer(){ return server; };

		    void start();
		private :
		    XmlRpc::XmlRpcServer * server;
		    int port;
	    };

	} // end xmlrpcpp
    } // end ctx
} // end mole 

#endif
